
$.fn.moveSluit = function() {
	var dekking = 1 - $( this ).find( 'span' ).css( 'opacity' );
	$( this ).find( 'span' ).animate( 
		{
			// css properties
			opacity: dekking
		},
		{
			// duur van de animatie in milliseconden
			duration: 2000,
			// soort animatie
			easing: effect(),
			start: function() {
				// als begint
			},
			progress: function( animatie, voortgang, mstegaan ) {
				// als bezig
				$( 'footer' ).text( $( this ).css( 'opacity' ) );
			},
			done: function() {
				// als klaar	
			}
		}
	);
		
	$( 'footer' ).html( 'SLUIT' + $( this ).text() );
}



$.fn.moveUp = function() {
	$( '.valop' ).removeClass( 'valop' );
	$( this ).addClass( 'valop' );
	// verplaatsen
	if( $(this).parent().children().index(this) === 0 ) {
		var naar = $(this).parent().children().last();
		$( this ).insertAfter( naar );
	}else{
		var naar = $( this ).prev();
		$( this ).insertBefore( naar );
	}
}

$.fn.moveDown = function() {
	$( '.valop' ).removeClass( 'valop' );
	$( this ).addClass( 'valop' );
	// dan verplaatsen
	if( $(this).parent().children().index(this) 
	   		=== $(this).parent().children().length-1 ) {
		var naar = $(this).parent().children().first();
		$( this ).insertBefore( naar );
	}else{
		var naar = $( this ).next();
		$( this ).insertAfter( naar );
	}
}

$.fn.moveOpen = function() {
	var e = $( this );
	var h = e.css( 'max-height' );
	var p = e.parent().children();
	if( e.hasClass( 'open' ) ) {
		// was reeds open
		e.animate( { height: '30px'}, {duration: 500, easing: effect() } );
		e.removeClass( 'open' );
	}else{
		// eerst alle andere dicht
		p.animate( { height: '30px' }, {duration: 500, easing: effect() } );
		// deze open
		e.animate( { height: h }, {duration: 500, easing: effect() } );
	}
}

function looprond() {
	// versnellen of stoppen
	var ix = 100;
	var snelheid = waar( 100, 1000 );
	var h = $( document ).height()-100;
	var w = $( document ).width()-50;
	kieseffect();
	// de animaties
	$( 'img#los' )
		.animate({ top: waar( 10, h ), left: waar( 10, h ) },
				 { duration: snelheid, easing: effect() })
		.animate({ top: waar( 10, h ), left: waar( 10, h ) },
				 { duration: snelheid, easing: effect() })
		.animate({ width: waar( 50, 250) },
				 { duration: snelheid, easing: effect() })
		.hide(snelheid/2)
		.show(snelheid/4)
		.animate({ top: waar( 10, h ), left: waar( 10, h ) },
				 { duration: snelheid, easing: effect() })
		.animate({ top: waar( 10, h ), left: waar( 10, h ) },
				 { duration: snelheid, easing: effect() })
		.animate({ width: waar( 50, 250 ) },
				 { duration: snelheid, easing: effect() })
		.slideUp(snelheid)
		.slideDown(snelheid, looprond );			 
}


// VOORGEBAKKEN FUNCTIES OM KNOPPEN EN EVENTHANDLERS AAN TE MAKEN
$.fn.plaatsPijlen = function() {
	$( this ).find( 'li' ).each( function() {
		$( this )
			.wrapInner('<span></span>')
			.prepend( '<img title="up" src="./pijlup.png" title="Omhoog" /><img title="down" src="./pijldown.png" title="Omhoog" /><img title="open" src="./pijlopen.png" title="Open" /><img title="sluit" src="./pijlsluit.png" title="Sluiten" />&nbsp;' )
			.css( 'max-height', $( this ).css( 'height') )
			.css( 'height', '30px' );
	} );
}

$.fn.plaatsEventUp = function() {
	$( this ).on( 'click', function() {
		$( this ).parent().moveUp();
	} );
}
$.fn.plaatsEventDown = function() {
	$( this ).on( 'click', function() {
		$( this ).parent().moveDown();
	} );
}
$.fn.plaatsEventOpen = function() {
	$( this ).on( 'click', function() {
		$( this ).parent().moveOpen();
	} );
	
}
$.fn.plaatsEventSluit = function() {
	$( this ).on( 'click', function() {
		$( this ).parent().moveSluit();
	} );
}
$.fn.plaatsEventZoomin = function() {
	var ix = $( 'main' ).offset().left - 50;
	var deze = $( this );
	deze
		.css( 'left', ix )
		.on( 'click', function() {
			$( this ).css( 'z-index', 1000 );
			looprond();
		} );
	$( window ).on( 'resize', function() {
		ix = $( 'main' ).offset().left - 50;
		deze.css( 'left', ix );
	} )
}


// EASING MET PLUGIN
$.fn.plaatsEventEasing = function() {
	$( this ).on( 'change', function() {
		if( $( this ).prop( 'checked' ) ) {
			// checked dus grote lijst show
			$( 'aside > select > option:gt(1)' ).show();
		}else{
			// niet dus grote lijst hide
			$( 'aside > select > option:gt(1)' ).hide();
			// eerste option selecteren
			$( 'aside > select' )
				.val( $( 'aside > select option:first' ).val() )
		}
	} );
	// bij laden checkbox uitzetten en event triggeren
	$( this ).prop( 'checked', false );
	$( this ).trigger( 'change' );
}
function effect() {
	return $( 'aside > select > option:selected' ).text().trim();
}
function kieseffect() {
	// alle opties tonen
	$( 'aside > input[type="checkbox"]' ).prop( 'checked', true );
	$( 'aside > select' ).children().show();
	var nr = waar( 1, $( 'aside > select' ).children().length );
	$( 'aside > select' )
		.val( $( 'aside > select option:eq(' + nr + ')' ).val() );

}
function waar( van, tot ) {
	return Math.floor( ( Math.random() * tot ) + van );
}

$( document ).ready( function() {
	$( 'article > ol' ).plaatsPijlen();
	$( 'article > ol > li > [title="up"]').plaatsEventUp();
	$( 'article > ol > li > [title="down"]').plaatsEventDown();
	$( 'article > ol > li > [title="open"]').plaatsEventOpen();
	$( 'article > ol > li > [title="sluit"]').plaatsEventSluit();
	$( 'img#los' ).plaatsEventZoomin();
	$( 'aside > input[type="checkbox"]' ).plaatsEventEasing();
} );