$(function() {
	$( 'select[name="easeType"]' ).selectmenu( { width:200 }  );
	$( 'select[name="effectType"]' ).selectmenu( { width:200 }  ); 
	$( 'input[type="button"]' ).button();
	$( '#eofa' ).buttonset();
} );

$( document ).ready( function() {
	$( 'article > div' ).addClass( 'gesloten' );
	
	/*
	$( 'article' ).sortable( { 
		opacity: 0.3,
		stop: function( event, ui ) {
			$( '.valop' ).removeClass( 'valop' );
			ui.item.addClass( 'valop' );
		}
	} );
	*/
	
	/*
	$( 'img#los' ).draggable( {
		create: function( event, ui ) {
			$( this ).css( 'cursor', 'move' );
		}
	} );
	$( 'article > div' ).droppable( {
		over: function( event, ui ) {
			$( this ).addClass( 'valop' );
		},
		out: function( event, ui ) {
			$( this ).removeClass( 'valop' );
		},
		drop: function( event, ui ) {
			$( this ).remove();
			$( 'footer' ).html( ui.draggable.prop( 'id' ) );
			ui.draggable.draggable( 'destroy' );
			$( 'article > div' ).droppable( 'destroy' );
		},
		accept: 'img#los'
	} );
	*/
	
	$( 'input[type="button"][name="startanimatie"]' ).on( 'click' , function() {
		$( 'img#los' )
			.css( 'top', 200 )
			.css( 'left', 300 )
			.css( 'width', 200 )
			.show()
			.looprond();
	} );
	$( 'article > div' )
		.zweefElem( { valop: 'valop', duur: 800, easing: kiesEasing() } );
		
} );

(function ( $ ) { 
	$.fn.zweefElem = function( opties ) {
		// opties
		var vars = $.extend( {
			valop: 'valop',
			duur: 1000,
			easing: 'easeInOutBack'
		}, opties );
		
		// events
		$( this ).
			on( 'mouseout', function() {
				$( this ).removeClass( vars.valop, {
					duration: vars.duur,
					easing: vars.easing,
					children: false
				} );
			} )
			.on( 'mouseenter', function() {
				$( this ).addClass( vars.valop, {
					duration: vars.duur,
					easing: vars.easing,
					children: false
				}  );
			} );
		return this;
	}
}( jQuery )); 
					
	
// KANT EN KLAAR
$.fn.looprond = function() {
	// versnellen of stoppen
	var snelheid = waar( 500, 3000 );
	var h = $( document ).height()-100;
	var w = $( document ).width()-50;
	// de animaties
	
	if( $( 'aside input[name="eofa"]:checked' ).val() === 'effect' ) {
		$( this )
			.show()
			.css( 'width', 200 )
			.effect( { 
				effect: kiesEffect(), 
				duration: snelheid, 
				complete: function() {
					 $( this ).looprond();
				 } 
			} );
	}else{
		$( this )
		.show()
		.animate( 
			{ 
				top: waar( 10, h ), 
				left: waar( 10, h ), 
				width: waar( 100, 350 ) 
			},{ 
				duration: snelheid, 
				easing: kiesEasing(), 
				complete: function() {
					$( this ).looprond();
				}
			} );
	}
}

function kiesEffect() {
	// alle opties tonen
	var nr = waar( 0, $( 'select[name="effectType"]' ).children().length-1 );
	var welk = $( 'select[name="effectType"] option:eq( ' + nr + ' )' ).val();
	$( 'select[name="effectType"]' ).val( welk );
	$( 'select[name="effectType"]' ).selectmenu( 'refresh', true );
	return welk;
}
function kiesEasing() {
	// alle opties tonen
	var nr = waar( 0, $( 'select[name="easeType"]' ).children().length-1 );
	var welk = $( 'select[name="easeType"] option:eq( ' + nr + ' )' ).val();
	$( 'select[name="easeType"]' ).val( welk );
	$( 'select[name="easeType"]' ).selectmenu( 'refresh', true );
	return welk;
}
function waar( van, tot ) {
	return Math.floor( ( Math.random() * tot ) + van );
}
				